package com.ss.android.ugc.aweme.services.story;

import X.2Pr;
import android.content.Intent;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.LiveData;
import com.bytedance.covode.number.Covode;

public interface IStoryView {
    static {
        Covode.recordClassIndex(105450);
    }

    Fragment asFragment();

    LiveData<2Pr> getCloseEvent();

    LiveData<Boolean> getForbidDrawerScrollEvent();

    void onActivityResult(int i, int i2, Intent intent);

    boolean onBackPressed();

    void onOpenCompletely();

    void onSlideExitStoryShoot();

    void updateEnterStoryParam(EnterStoryParam enterStoryParam);
}
